# Uses of Class
org.apache.sling.resourceresolver.impl.helper.ResourceDecoratorTracker

Packages that use ResourceDecoratorTracker
Package
Description
org.apache.sling.resourceresolver.impl.helper
org.apache.sling.resourceresolver.impl.mapping

## Uses of ResourceDecoratorTracker in org.apache.sling.resourceresolver.impl.helper

Constructors in org.apache.sling.resourceresolver.impl.helper with parameters of type ResourceDecoratorTracker
Modifier
Constructor
Description
``
`ResourceIteratorDecorator(ResourceDecoratorTracker tracker, Iterator<org.apache.sling.api.resource.Resource> iterator)`

## Uses of ResourceDecoratorTracker in org.apache.sling.resourceresolver.impl.mapping

Constructors in org.apache.sling.resourceresolver.impl.mapping with parameters of type ResourceDecoratorTracker
Modifier
Constructor
Description
``
`ResourceMapperImpl(org.apache.sling.resourceresolver.impl.ResourceResolverImpl resolver, ResourceDecoratorTracker resourceDecorator, MapEntriesHandler mapEntries, Object namespaceMangler)`